def texcompile(fn=0, viewvar=True):
  """A function to compile a latex document.

  Args:
      fn (int,str): 0 if arguments coming from sys.argv[1], OR string of full relative path to filename.tex
      viewvar (Boolean): Whether or not to attempt to view the compiled pdf with the program 'mupdf'.

  Returns:
      NULL: A .tex file is compiled and possibly opened using 'mupdf'.
  """
  import os
  import sys
  from repoclean import repoclean

  ##############################################################################
  # Grab the system arguments (from command line call) if they exist
  ##############################################################################
  
  if fn==0:
     fn = sys.argv[1]

  ##############################################################################
  # Clean out the repo, and recompile the tex
  ##############################################################################

  # Options

  # What is the file name? (from system arguments)
  texfile = fn

  # Also run bibtex to compile references?
  bibtex=True

  # Call up the resulting pdf with mupdf when finished?
  view=viewvar

  ##############################################################################
  # Code
  ##############################################################################

  #os.system("python 1601wheeler-pytexrepoclean.py")
  os.system("pdflatex " + texfile + ".tex")
  os.system("pdflatex " + texfile + ".tex")
  if bibtex:
    os.system("bibtex " + texfile + ".aux")
    os.system("pdflatex " + texfile + ".tex")
    os.system("pdflatex " + texfile + ".tex")
  #os.system("python 1601wheeler-pytexrepoclean.py")
  repoclean()
  if view:
    os.system("mupdf " + texfile + ".pdf")


